#!/usr/bin/python3
#-*- encoding: utf-8 -*-

"""
    This files contains a list of the Diag subsystem IDs,
    as it can be found in other open-source projects.
"""

# Subsystem IDs

DIAG_SUBSYS_OEM = 0
DIAG_SUBSYS_ZREX = 1
DIAG_SUBSYS_SD = 2
DIAG_SUBSYS_BT = 3
DIAG_SUBSYS_WCDMA = 4
DIAG_SUBSYS_HDR = 5
DIAG_SUBSYS_DIABLO = 6
DIAG_SUBSYS_TREX = 7
DIAG_SUBSYS_GSM = 8
DIAG_SUBSYS_UMTS = 9
DIAG_SUBSYS_HWTC = 10
DIAG_SUBSYS_FTM = 11
DIAG_SUBSYS_REX = 12
DIAG_SUBSYS_OS = DIAG_SUBSYS_REX
DIAG_SUBSYS_GPS = 13
DIAG_SUBSYS_WMS = 14
DIAG_SUBSYS_CM = 15
DIAG_SUBSYS_HS = 16
DIAG_SUBSYS_AUDIO_SETTINGS = 17
DIAG_SUBSYS_DIAG_SERV = 18
DIAG_SUBSYS_FS = 19
DIAG_SUBSYS_PORT_MAP_SETTINGS = 20
DIAG_SUBSYS_MEDIAPLAYER = 21
DIAG_SUBSYS_QCAMERA = 22
DIAG_SUBSYS_MOBIMON = 23
DIAG_SUBSYS_GUNIMON = 24
DIAG_SUBSYS_LSM = 25
DIAG_SUBSYS_QCAMCORDER = 26
DIAG_SUBSYS_MUX1X = 27
DIAG_SUBSYS_DATA1X = 28
DIAG_SUBSYS_SRCH1X = 29
DIAG_SUBSYS_CALLP1X = 30
DIAG_SUBSYS_APPS = 31
DIAG_SUBSYS_SETTINGS = 32
DIAG_SUBSYS_GSDI = 33
DIAG_SUBSYS_UIMDIAG = DIAG_SUBSYS_GSDI
DIAG_SUBSYS_TMC = 34
DIAG_SUBSYS_USB = 35
DIAG_SUBSYS_PM = 36
DIAG_SUBSYS_DEBUG = 37
DIAG_SUBSYS_QTV = 38
DIAG_SUBSYS_CLKRGM = 39
DIAG_SUBSYS_DEVICES = 40
DIAG_SUBSYS_WLAN = 41
DIAG_SUBSYS_PS_DATA_LOGGING = 42
DIAG_SUBSYS_PS = DIAG_SUBSYS_PS_DATA_LOGGING
DIAG_SUBSYS_MFLO = 43
DIAG_SUBSYS_DTV = 44
DIAG_SUBSYS_RRC = 45
DIAG_SUBSYS_PROF = 46
DIAG_SUBSYS_TCXOMGR = 47
DIAG_SUBSYS_NV = 48
DIAG_SUBSYS_AUTOCONFIG = 49
DIAG_SUBSYS_PARAMS = 50
DIAG_SUBSYS_MDDI = 51
DIAG_SUBSYS_DS_ATCOP = 52
DIAG_SUBSYS_L4LINUX = 53
DIAG_SUBSYS_MVS = 54
DIAG_SUBSYS_CNV = 55
DIAG_SUBSYS_APIONE_PROGRAM = 56
DIAG_SUBSYS_HIT = 57
DIAG_SUBSYS_DRM = 58
DIAG_SUBSYS_DM = 59
DIAG_SUBSYS_FC = 60
DIAG_SUBSYS_MEMORY = 61
DIAG_SUBSYS_FS_ALTERNATE = 62
DIAG_SUBSYS_REGRESSION = 63
DIAG_SUBSYS_SENSORS = 64
DIAG_SUBSYS_FLUTE = 65
DIAG_SUBSYS_ANALOG = 66
DIAG_SUBSYS_APIONE_PROGRAM_MODEM = 67
DIAG_SUBSYS_LTE = 68
DIAG_SUBSYS_BREW = 69
DIAG_SUBSYS_PWRDB = 70
DIAG_SUBSYS_CHORD = 71
DIAG_SUBSYS_SEC = 72
DIAG_SUBSYS_TIME = 73
DIAG_SUBSYS_Q6_CORE = 74
DIAG_SUBSYS_COREBSP = 75
DIAG_SUBSYS_MFLO2 = 76
DIAG_SUBSYS_ULOG = 77
DIAG_SUBSYS_APR = 78
DIAG_SUBSYS_QNP = 79 
DIAG_SUBSYS_STRIDE = 80 
DIAG_SUBSYS_OEMDPP = 81 
DIAG_SUBSYS_Q5_CORE = 82 
DIAG_SUBSYS_USCRIPT = 83 
DIAG_SUBSYS_NAS = 84 
DIAG_SUBSYS_CMAPI = 85 
DIAG_SUBSYS_SSM = 86
DIAG_SUBSYS_TDSCDMA = 87
DIAG_SUBSYS_SSM_TEST = 88
DIAG_SUBSYS_MPOWER = 89
DIAG_SUBSYS_QDSS = 90
DIAG_SUBSYS_CXM = 91
DIAG_SUBSYS_GNSS_SOC = 92
DIAG_SUBSYS_TTLITE = 93
DIAG_SUBSYS_FTM_ANT = 94
DIAG_SUBSYS_MLOG = 95
DIAG_SUBSYS_LIMITSMGR = 96
DIAG_SUBSYS_EFSMONITOR = 97
DIAG_SUBSYS_DISPLAY_CALIBRATION = 98
DIAG_SUBSYS_VERSION_REPORT = 99
DIAG_SUBSYS_DS_IPA = 100
DIAG_SUBSYS_SYSTEM_OPERATIONS = 101
DIAG_SUBSYS_CNSS_POWER = 102
DIAG_SUBSYS_LWIP = 103
DIAG_SUBSYS_IMS_QVP_RTP = 104
DIAG_SUBSYS_STORAGE = 105
DIAG_SUBSYS_WCI2 = 106
DIAG_SUBSYS_AOSTLM_TEST = 107
DIAG_SUBSYS_CFCM = 108
DIAG_SUBSYS_CORE_SERVICES = 109
DIAG_SUBSYS_CVD = 110
DIAG_SUBSYS_MCFG = 111
DIAG_SUBSYS_MODEM_STRESSFW = 112
DIAG_SUBSYS_DS_DS3G = 113
DIAG_SUBSYS_TRM = 114
DIAG_SUBSYS_IMS = 115
DIAG_SUBSYS_OTA_FIREWALL = 116
DIAG_SUBSYS_I15P4 = 117
DIAG_SUBSYS_QDR = 118
DIAG_SUBSYS_MCS = 119
DIAG_SUBSYS_MODEMFW = 120
DIAG_SUBSYS_QNAD = 121
DIAG_SUBSYS_F_RESERVED = 122
DIAG_SUBSYS_V2X = 123
DIAG_SUBSYS_QMESA = 124
DIAG_SUBSYS_SLEEP = 125
DIAG_SUBSYS_QUEST = 126
DIAG_SUBSYS_CDSP_QMESA = 127
DIAG_SUBSYS_PCIE = 128
DIAG_SUBSYS_QDSP_STRESS_TEST = 129
DIAG_SUBSYS_CHARGERPD = 130
DIAG_SUBSYS_LAST = 131
DIAG_SUBSYS_RESERVED_OEM_0 = 250
DIAG_SUBSYS_RESERVED_OEM_1 = 251
DIAG_SUBSYS_RESERVED_OEM_2 = 252
DIAG_SUBSYS_RESERVED_OEM_3 = 253
DIAG_SUBSYS_RESERVED_OEM_4 = 254
DIAG_SUBSYS_LEGACY = 255
